Subject: Re: bug#7470: 24.0.50; Word Isearch lazy highlighting

From: Juri Linkov <[email-masked]>
Date: Wed, 24 Nov 2010 01:43:45 +0000

> Please, consider the situation arising after performing these steps::
> 0) Start Emacs (emacs -Q).
> 1) Go to the beginning of the *scratch* buffer (M-<).
> 2) Start an incremental _word_ search (M-s w).
> 3) Type `that fil'.
>
> After step 3, the second occurrence of `that fil' should be
> highlighted with `lazy-highlighting' face [1], but that doesn't
> happen.

The task of the word search is to find and highlight complete words.
The heuristics it applies with partial lax word search (comparing
the current search string with the previous one in `isearch-search-fun')
is to help the user to type the complete word search string
without signaling an error.  So I doubt that lazy highlighting should
follow the same logic as partial lax word search.

What does lazy highlighting try to tell the user: "Look, if you type
C-s, then Isearch will land in the next highlighted place".  But in case of
incomplete word search this is not true.  When the user types C-s,
it will not stop at the partial word string highlighted as you suggested.